GET DealsTables/GetDealsTable/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

None.

Response Information

Resource Description

DealsTable
NameDescriptionTypeAdditional information
dealId

integer

None.

leadid

integer

None.

userid

integer

None.

propertyid

integer

None.

purchasedprice

decimal number

None.

agentPercentage

string

None.

agencyPercentage

integer

None.

externalAgentPercentage

string

None.

dealDate

date

None.

note

string

None.

address

string

None.

dealReport

string

None.

statusId

integer

None.

sourceId

integer

None.

agentid

integer

None.

agencyid

integer

None.

LeadTable

LeadTable

None.

dealTransactionTables

Collection of dealTransactionTable

None.

Response Formats

application/json, text/json

Sample:
{
  "dealId": 1,
  "leadid": 1,
  "userid": 1,
  "propertyid": 1,
  "purchasedprice": 1.0,
  "agentPercentage": "sample string 2",
  "agencyPercentage": 1,
  "externalAgentPercentage": "sample string 3",
  "dealDate": "2026-10-17T14:47:47.3636971-07:00",
  "note": "sample string 4",
  "address": "sample string 5",
  "dealReport": "sample string 6",
  "statusId": 1,
  "sourceId": 1,
  "agentid": 1,
  "agencyid": 1,
  "LeadTable": {
    "leadid": 1,
    "userid": 1,
    "propertyid": 1,
    "description": "sample string 2",
    "leadtype": 1,
    "leadTime": "2026-10-17T14:47:47.3636971-07:00",
    "leadUpdatedDate": "2026-10-17T14:47:47.3636971-07:00",
    "agentid": 1,
    "agencyid": 1,
    "leadTag": 1,
    "leadStatus": 1,
    "priorityId": 1,
    "sourceId": 1,
    "mediumId": 1,
    "companyName": "sample string 3",
    "designation": "sample string 4",
    "budget": 1.1,
    "location": "sample string 5",
    "leadSerialNo": 1,
    "propertyRefNo": "sample string 6",
    "societyName": "sample string 7",
    "fileNo": "sample string 8",
    "block": "sample string 9",
    "plotNo": "sample string 10",
    "plotSize": 1.1,
    "propertyType": 1,
    "additionalNo": "sample string 11",
    "email": "sample string 12",
    "whatsappNo": "sample string 13",
    "moreinfo": "sample string 14",
    "membershipId": "sample string 15",
    "type": "sample string 16",
    "followupdate": "2026-10-17T14:47:47.3636971-07:00",
    "IsOverdueNotified": true,
    "DealsTables": [],
    "LeadAssigneds": [
      {
        "id": 1,
        "leadid": 1,
        "agentid": 1,
        "assigneddate": "2026-10-17T14:47:47.3636971-07:00"
      },
      {
        "id": 1,
        "leadid": 1,
        "agentid": 1,
        "assigneddate": "2026-10-17T14:47:47.3636971-07:00"
      }
    ],
    "LeadTypeTable": {
      "leadTypeId": 1,
      "leadTypeName": "sample string 2",
      "LeadTables": []
    },
    "MediumTable": {
      "mediumId": 1,
      "mediumName": "sample string 2",
      "LeadTables": []
    },
    "PriorityTable": {
      "priorityId": 1,
      "priorityName": "sample string 2",
      "LeadTables": []
    },
    "SourceTable": {
      "sourceId": 1,
      "sourceName": "sample string 2",
      "LeadTables": []
    },
    "StatusTable": {
      "statusId": 1,
      "statusName": "sample string 2",
      "LeadTables": []
    },
    "WhatsAppConversations": [
      {
        "Id": 1,
        "AgencyId": 2,
        "LeadId": 1,
        "PhoneNumber": "sample string 3",
        "WhatsAppUserId": "sample string 4",
        "Status": "sample string 5",
        "AIEnabled": true,
        "LastMessageAt": "2026-10-17T14:47:47.3636971-07:00",
        "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
        "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00",
        "AgentId": 1,
        "AccountType": "sample string 9",
        "PhoneNumberId": "sample string 10",
        "ContactName": "sample string 11",
        "LastInboundAt": "2026-10-17T14:47:47.3636971-07:00",
        "LastMessagePreview": "sample string 12",
        "UnreadCount": 13,
        "IsArchived": true,
        "AgencyTable": {
          "agencyid": 1,
          "Agency_Descrip": "sample string 2",
          "agencyname": "sample string 3",
          "agencylogo": "sample string 4",
          "agencywatermark": "sample string 5",
          "agencywatermarksize": 1,
          "agencytransparency": 1,
          "agencywatermarkposition": 1,
          "agencyregno": "sample string 6",
          "licenseno": "sample string 7",
          "agencylicensepic": "sample string 8",
          "issuedate": "2026-10-17T14:47:47.3636971-07:00",
          "expdate": "2026-10-17T14:47:47.3636971-07:00",
          "agencyphone": "sample string 9",
          "agencyuan": "sample string 10",
          "agencyemail": "sample string 11",
          "agencypassword": "sample string 12",
          "agencyaddress": "sample string 13",
          "agencyjoindate": "2026-10-17T14:47:47.3636971-07:00",
          "agencystatus": 1,
          "cityid": 1,
          "adminid": 1,
          "refnostartingprop": 1,
          "agcRefTag": "sample string 14",
          "adsLimit": 1,
          "confirmationToken": "sample string 15",
          "ofcLat": 1.0,
          "ofcLong": 1.0,
          "listingcount": 1,
          "usercount": 1,
          "added_adrec": "sample string 16",
          "AdminTable": {
            "adminid": 1,
            "adminname": "sample string 2",
            "adminnic": "sample string 3",
            "adminpassword": "sample string 4",
            "adminemail": "sample string 5",
            "AgencyTables": []
          },
          "CityTable": {
            "cityid": 1,
            "cityname": "sample string 2",
            "provid": 1,
            "countryid": 1,
            "arabicname": "sample string 3",
            "urduname": "sample string 4",
            "latittude": "sample string 5",
            "longitude": "sample string 6",
            "AgencyTables": [],
            "ProvinceTable": {
              "provid": 1,
              "provname": "sample string 2",
              "countryid": 1,
              "urduname": "sample string 3",
              "arabicname": "sample string 4",
              "latitude": "sample string 5",
              "longitude": "sample string 6",
              "CityTables": [],
              "CountryTable": {
                "countryid": 1,
                "countryname": "sample string 2",
                "urduname": "sample string 3",
                "arabicname": "sample string 4",
                "latitude": "sample string 5",
                "longitude": "sample string 6",
                "ProvinceTables": []
              }
            },
            "PropertyTables": [
              {
                "propertyid": 1,
                "saluation": "sample string 2",
                "ownfirstname": "sample string 3",
                "ownlastname": "sample string 4",
                "ownemail": "sample string 5",
                "mobileno": "sample string 6",
                "ownrole": 1,
                "duration": 1,
                "nationality": "sample string 7",
                "isverified": true,
                "propertytitle": "sample string 8",
                "propertyprice": 1,
                "securityfee": 1,
                "percentage": 1.1,
                "commission": 1.1,
                "propertyrefnum": "sample string 9",
                "propertytypeid": 10,
                "propertysizekanal": 1.1,
                "propertysizemarla": 1.1,
                "propertysizesqft": 1.1,
                "propertysizeSqmt": 1.1,
                "propertysizeSqyd": 1.1,
                "buildingno": 1,
                "unitno": 1,
                "bedrooms": 1,
                "bathrooms": 1,
                "propertyaddress": "sample string 11",
                "coordinates": "sample string 12",
                "publisheddate": "2026-10-17T14:47:47.3636971-07:00",
                "propertydescription": "sample string 13",
                "cityid": 1,
                "agentid": 1,
                "propertypurposeid": 1,
                "pstatus": 1,
                "propertyvideos": "sample string 14",
                "sublocid": 1,
                "documentfile": "sample string 15",
                "verificationDoc": "sample string 16",
                "notes": "sample string 17",
                "buildingname": "sample string 18",
                "offPlan": 1,
                "furnished": 1,
                "floorPlan": "sample string 19",
                "propertyCoveredArea": 1.1,
                "cheques": 1,
                "lastUpdated": "2026-10-17T14:47:47.3636971-07:00",
                "viewsCount": 1,
                "agencyid": 1,
                "permitno": "sample string 20",
                "Prop_Amen": [
                  {
                    "propamenid": 1,
                    "propertyid": 1,
                    "amenitiesid": 1,
                    "Amenity": {
                      "amenitiesid": 1,
                      "amenities": "sample string 2",
                      "Prop_Amen": []
                    }
                  },
                  {
                    "propamenid": 1,
                    "propertyid": 1,
                    "amenitiesid": 1,
                    "Amenity": {
                      "amenitiesid": 1,
                      "amenities": "sample string 2",
                      "Prop_Amen": []
                    }
                  }
                ],
                "PropertyImagesTables": [
                  {
                    "propertyimageid": 1,
                    "propertyimages": "sample string 2",
                    "propertyid": 1,
                    "tag": "sample string 3",
                    "imglogo": "sample string 4",
                    "imgnologo": "sample string 5",
                    "imgindex": "sample string 6"
                  },
                  {
                    "propertyimageid": 1,
                    "propertyimages": "sample string 2",
                    "propertyid": 1,
                    "tag": "sample string 3",
                    "imglogo": "sample string 4",
                    "imgnologo": "sample string 5",
                    "imgindex": "sample string 6"
                  }
                ],
                "PropertyPurpose": {
                  "propertypurposeid": 1,
                  "propertypurpose1": "sample string 2",
                  "slug": "sample string 3",
                  "PropertyTables": []
                },
                "PropertyType": {
                  "propertytypeid": 1,
                  "propertytype1": "sample string 2",
                  "slug": "sample string 3",
                  "description": "sample string 4",
                  "PropertyTables": []
                }
              },
              {
                "propertyid": 1,
                "saluation": "sample string 2",
                "ownfirstname": "sample string 3",
                "ownlastname": "sample string 4",
                "ownemail": "sample string 5",
                "mobileno": "sample string 6",
                "ownrole": 1,
                "duration": 1,
                "nationality": "sample string 7",
                "isverified": true,
                "propertytitle": "sample string 8",
                "propertyprice": 1,
                "securityfee": 1,
                "percentage": 1.1,
                "commission": 1.1,
                "propertyrefnum": "sample string 9",
                "propertytypeid": 10,
                "propertysizekanal": 1.1,
                "propertysizemarla": 1.1,
                "propertysizesqft": 1.1,
                "propertysizeSqmt": 1.1,
                "propertysizeSqyd": 1.1,
                "buildingno": 1,
                "unitno": 1,
                "bedrooms": 1,
                "bathrooms": 1,
                "propertyaddress": "sample string 11",
                "coordinates": "sample string 12",
                "publisheddate": "2026-10-17T14:47:47.3636971-07:00",
                "propertydescription": "sample string 13",
                "cityid": 1,
                "agentid": 1,
                "propertypurposeid": 1,
                "pstatus": 1,
                "propertyvideos": "sample string 14",
                "sublocid": 1,
                "documentfile": "sample string 15",
                "verificationDoc": "sample string 16",
                "notes": "sample string 17",
                "buildingname": "sample string 18",
                "offPlan": 1,
                "furnished": 1,
                "floorPlan": "sample string 19",
                "propertyCoveredArea": 1.1,
                "cheques": 1,
                "lastUpdated": "2026-10-17T14:47:47.3636971-07:00",
                "viewsCount": 1,
                "agencyid": 1,
                "permitno": "sample string 20",
                "Prop_Amen": [
                  {
                    "propamenid": 1,
                    "propertyid": 1,
                    "amenitiesid": 1,
                    "Amenity": {
                      "amenitiesid": 1,
                      "amenities": "sample string 2",
                      "Prop_Amen": []
                    }
                  },
                  {
                    "propamenid": 1,
                    "propertyid": 1,
                    "amenitiesid": 1,
                    "Amenity": {
                      "amenitiesid": 1,
                      "amenities": "sample string 2",
                      "Prop_Amen": []
                    }
                  }
                ],
                "PropertyImagesTables": [
                  {
                    "propertyimageid": 1,
                    "propertyimages": "sample string 2",
                    "propertyid": 1,
                    "tag": "sample string 3",
                    "imglogo": "sample string 4",
                    "imgnologo": "sample string 5",
                    "imgindex": "sample string 6"
                  },
                  {
                    "propertyimageid": 1,
                    "propertyimages": "sample string 2",
                    "propertyid": 1,
                    "tag": "sample string 3",
                    "imglogo": "sample string 4",
                    "imgnologo": "sample string 5",
                    "imgindex": "sample string 6"
                  }
                ],
                "PropertyPurpose": {
                  "propertypurposeid": 1,
                  "propertypurpose1": "sample string 2",
                  "slug": "sample string 3",
                  "PropertyTables": []
                },
                "PropertyType": {
                  "propertytypeid": 1,
                  "propertytype1": "sample string 2",
                  "slug": "sample string 3",
                  "description": "sample string 4",
                  "PropertyTables": []
                }
              }
            ],
            "UserProfiles": [
              {
                "userid": 1,
                "firstname": "sample string 2",
                "lastname": "sample string 3",
                "password": "sample string 4",
                "userphone": "sample string 5",
                "useremail": "sample string 6",
                "useractivestatus": true,
                "userjoindate": "2026-10-17T14:47:47.3636971-07:00",
                "userpicture": "sample string 7",
                "fathername": "sample string 8",
                "cityid": 1,
                "resetToken": "sample string 9",
                "userPortal": "sample string 10",
                "usercnic": "sample string 11",
                "agencyid": 1,
                "SavedProperties": [
                  {
                    "savepropertyid": 1,
                    "userid": 1,
                    "propertyid": 1
                  },
                  {
                    "savepropertyid": 1,
                    "userid": 1,
                    "propertyid": 1
                  }
                ]
              },
              {
                "userid": 1,
                "firstname": "sample string 2",
                "lastname": "sample string 3",
                "password": "sample string 4",
                "userphone": "sample string 5",
                "useremail": "sample string 6",
                "useractivestatus": true,
                "userjoindate": "2026-10-17T14:47:47.3636971-07:00",
                "userpicture": "sample string 7",
                "fathername": "sample string 8",
                "cityid": 1,
                "resetToken": "sample string 9",
                "userPortal": "sample string 10",
                "usercnic": "sample string 11",
                "agencyid": 1,
                "SavedProperties": [
                  {
                    "savepropertyid": 1,
                    "userid": 1,
                    "propertyid": 1
                  },
                  {
                    "savepropertyid": 1,
                    "userid": 1,
                    "propertyid": 1
                  }
                ]
              }
            ]
          },
          "AgentTables": [
            {
              "agentid": 1,
              "agencyid": 1,
              "agentregno": "sample string 2",
              "firstName": "sample string 3",
              "lastName": "sample string 4",
              "agentemail": "sample string 5",
              "agentpassword": "sample string 6",
              "agentphone": "sample string 7",
              "agentdescription": "sample string 8",
              "agentcareerstarting": "2026-10-17T14:47:47.3636971-07:00",
              "agentactivelistings": 1,
              "cityid": 1,
              "agentimage": "sample string 9",
              "areas": "sample string 10",
              "issuperagent": true,
              "nationality": 1,
              "nicimg": "sample string 11",
              "status": 1,
              "agentFatherName": "sample string 12",
              "agentExperience": 1.1,
              "cnic": "sample string 13",
              "roleId": 1,
              "agentjoiningdate": "2026-10-17T14:47:47.3636971-07:00",
              "baseSalary": 1.0,
              "passportimg": "sample string 14",
              "contractpdf": "sample string 15",
              "idissuedate": "2026-10-17T14:47:47.3636971-07:00",
              "idexpdate": "2026-10-17T14:47:47.3636971-07:00",
              "passportissuedate": "2026-10-17T14:47:47.3636971-07:00",
              "passportexpdate": "2026-10-17T14:47:47.3636971-07:00",
              "brokerLicense": "sample string 16",
              "AdvanceSalaryTables": [
                {
                  "AdvanceId": 1,
                  "AgentId": 1,
                  "Amount": 1.0,
                  "RequestDate": "2026-10-17T14:47:47.3636971-07:00",
                  "ApprovedDate": "2026-10-17T14:47:47.3636971-07:00",
                  "Status": 1,
                  "DeductionMonth": "2026-10-17T14:47:47.3636971-07:00",
                  "Notes": "sample string 2",
                  "Agencyid": 1
                },
                {
                  "AdvanceId": 1,
                  "AgentId": 1,
                  "Amount": 1.0,
                  "RequestDate": "2026-10-17T14:47:47.3636971-07:00",
                  "ApprovedDate": "2026-10-17T14:47:47.3636971-07:00",
                  "Status": 1,
                  "DeductionMonth": "2026-10-17T14:47:47.3636971-07:00",
                  "Notes": "sample string 2",
                  "Agencyid": 1
                }
              ],
              "AgentSalaries": [
                {
                  "SalaryId": 1,
                  "AgentId": 2,
                  "BaseSalary": 3.0,
                  "Bonus": 1.0,
                  "Commission": 1.0,
                  "Allowances": 1.0,
                  "Deductions": 1.0,
                  "Overtime": 1.0,
                  "AdvanceDeductions": 1.0,
                  "DueAmount": 1.0,
                  "NetSalary": 1.0,
                  "MonthYear": "2026-10-17T14:47:47.3636971-07:00",
                  "PaymentStatus": "sample string 4",
                  "PaidDate": "2026-10-17T14:47:47.3636971-07:00",
                  "Userid": 1,
                  "AgencyId": 1,
                  "Balance": 1.0
                },
                {
                  "SalaryId": 1,
                  "AgentId": 2,
                  "BaseSalary": 3.0,
                  "Bonus": 1.0,
                  "Commission": 1.0,
                  "Allowances": 1.0,
                  "Deductions": 1.0,
                  "Overtime": 1.0,
                  "AdvanceDeductions": 1.0,
                  "DueAmount": 1.0,
                  "NetSalary": 1.0,
                  "MonthYear": "2026-10-17T14:47:47.3636971-07:00",
                  "PaymentStatus": "sample string 4",
                  "PaidDate": "2026-10-17T14:47:47.3636971-07:00",
                  "Userid": 1,
                  "AgencyId": 1,
                  "Balance": 1.0
                }
              ],
              "AttendanceTables": [
                {
                  "id": 1,
                  "agentid": 1,
                  "agencyid": 1,
                  "atDate": "2026-10-17T14:47:47.3636971-07:00",
                  "geopoint": "sample string 2",
                  "status": 1,
                  "intime": "2026-10-17T14:47:47.3636971-07:00",
                  "outime": "2026-10-17T14:47:47.3636971-07:00",
                  "deduction": 1.0,
                  "overtime": 1.0,
                  "attendancemethod": 1
                },
                {
                  "id": 1,
                  "agentid": 1,
                  "agencyid": 1,
                  "atDate": "2026-10-17T14:47:47.3636971-07:00",
                  "geopoint": "sample string 2",
                  "status": 1,
                  "intime": "2026-10-17T14:47:47.3636971-07:00",
                  "outime": "2026-10-17T14:47:47.3636971-07:00",
                  "deduction": 1.0,
                  "overtime": 1.0,
                  "attendancemethod": 1
                }
              ],
              "languagelists": [
                {
                  "langlistid": 1,
                  "languageid": 1,
                  "agentid": 1,
                  "AgentLanguage": {
                    "languageid": 1,
                    "languages": "sample string 2",
                    "languagelists": []
                  }
                },
                {
                  "langlistid": 1,
                  "languageid": 1,
                  "agentid": 1,
                  "AgentLanguage": {
                    "languageid": 1,
                    "languages": "sample string 2",
                    "languagelists": []
                  }
                }
              ],
              "AgentWhatsAppSettings": [
                {
                  "Id": 1,
                  "AgentId": 2,
                  "AgencyId": 3,
                  "PhoneNumberId": "sample string 4",
                  "WhatsAppBusinessAccountId": "sample string 5",
                  "AccessToken": "sample string 6",
                  "PhoneNumber": "sample string 7",
                  "DisplayPhoneNumber": "sample string 8",
                  "BusinessName": "sample string 9",
                  "WelcomeTemplateName": "sample string 10",
                  "WelcomeTemplateLanguage": "sample string 11",
                  "IsEnabled": true,
                  "ConnectionStatus": "sample string 13",
                  "ConnectedAt": "2026-10-17T14:47:47.3636971-07:00",
                  "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
                  "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00"
                },
                {
                  "Id": 1,
                  "AgentId": 2,
                  "AgencyId": 3,
                  "PhoneNumberId": "sample string 4",
                  "WhatsAppBusinessAccountId": "sample string 5",
                  "AccessToken": "sample string 6",
                  "PhoneNumber": "sample string 7",
                  "DisplayPhoneNumber": "sample string 8",
                  "BusinessName": "sample string 9",
                  "WelcomeTemplateName": "sample string 10",
                  "WelcomeTemplateLanguage": "sample string 11",
                  "IsEnabled": true,
                  "ConnectionStatus": "sample string 13",
                  "ConnectedAt": "2026-10-17T14:47:47.3636971-07:00",
                  "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
                  "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00"
                }
              ],
              "WhatsAppConversations": [],
              "agent_live": {
                "agentid": 1,
                "status": "sample string 2",
                "speed_kmh": 1.0,
                "battery_pct": 64,
                "lat": 1.0,
                "lng": 1.0,
                "last_update": "2026-10-17T14:47:47.3636971-07:00"
              },
              "agent_location_history": [
                {
                  "id": 1,
                  "agentid": 2,
                  "recorded_at": "2026-10-17T14:47:47.3636971-07:00",
                  "lat": 4.0,
                  "lng": 5.0,
                  "speed_kmh": 1.0,
                  "battery_pct": 64
                },
                {
                  "id": 1,
                  "agentid": 2,
                  "recorded_at": "2026-10-17T14:47:47.3636971-07:00",
                  "lat": 4.0,
                  "lng": 5.0,
                  "speed_kmh": 1.0,
                  "battery_pct": 64
                }
              ]
            },
            {
              "agentid": 1,
              "agencyid": 1,
              "agentregno": "sample string 2",
              "firstName": "sample string 3",
              "lastName": "sample string 4",
              "agentemail": "sample string 5",
              "agentpassword": "sample string 6",
              "agentphone": "sample string 7",
              "agentdescription": "sample string 8",
              "agentcareerstarting": "2026-10-17T14:47:47.3636971-07:00",
              "agentactivelistings": 1,
              "cityid": 1,
              "agentimage": "sample string 9",
              "areas": "sample string 10",
              "issuperagent": true,
              "nationality": 1,
              "nicimg": "sample string 11",
              "status": 1,
              "agentFatherName": "sample string 12",
              "agentExperience": 1.1,
              "cnic": "sample string 13",
              "roleId": 1,
              "agentjoiningdate": "2026-10-17T14:47:47.3636971-07:00",
              "baseSalary": 1.0,
              "passportimg": "sample string 14",
              "contractpdf": "sample string 15",
              "idissuedate": "2026-10-17T14:47:47.3636971-07:00",
              "idexpdate": "2026-10-17T14:47:47.3636971-07:00",
              "passportissuedate": "2026-10-17T14:47:47.3636971-07:00",
              "passportexpdate": "2026-10-17T14:47:47.3636971-07:00",
              "brokerLicense": "sample string 16",
              "AdvanceSalaryTables": [
                {
                  "AdvanceId": 1,
                  "AgentId": 1,
                  "Amount": 1.0,
                  "RequestDate": "2026-10-17T14:47:47.3636971-07:00",
                  "ApprovedDate": "2026-10-17T14:47:47.3636971-07:00",
                  "Status": 1,
                  "DeductionMonth": "2026-10-17T14:47:47.3636971-07:00",
                  "Notes": "sample string 2",
                  "Agencyid": 1
                },
                {
                  "AdvanceId": 1,
                  "AgentId": 1,
                  "Amount": 1.0,
                  "RequestDate": "2026-10-17T14:47:47.3636971-07:00",
                  "ApprovedDate": "2026-10-17T14:47:47.3636971-07:00",
                  "Status": 1,
                  "DeductionMonth": "2026-10-17T14:47:47.3636971-07:00",
                  "Notes": "sample string 2",
                  "Agencyid": 1
                }
              ],
              "AgentSalaries": [
                {
                  "SalaryId": 1,
                  "AgentId": 2,
                  "BaseSalary": 3.0,
                  "Bonus": 1.0,
                  "Commission": 1.0,
                  "Allowances": 1.0,
                  "Deductions": 1.0,
                  "Overtime": 1.0,
                  "AdvanceDeductions": 1.0,
                  "DueAmount": 1.0,
                  "NetSalary": 1.0,
                  "MonthYear": "2026-10-17T14:47:47.3636971-07:00",
                  "PaymentStatus": "sample string 4",
                  "PaidDate": "2026-10-17T14:47:47.3636971-07:00",
                  "Userid": 1,
                  "AgencyId": 1,
                  "Balance": 1.0
                },
                {
                  "SalaryId": 1,
                  "AgentId": 2,
                  "BaseSalary": 3.0,
                  "Bonus": 1.0,
                  "Commission": 1.0,
                  "Allowances": 1.0,
                  "Deductions": 1.0,
                  "Overtime": 1.0,
                  "AdvanceDeductions": 1.0,
                  "DueAmount": 1.0,
                  "NetSalary": 1.0,
                  "MonthYear": "2026-10-17T14:47:47.3636971-07:00",
                  "PaymentStatus": "sample string 4",
                  "PaidDate": "2026-10-17T14:47:47.3636971-07:00",
                  "Userid": 1,
                  "AgencyId": 1,
                  "Balance": 1.0
                }
              ],
              "AttendanceTables": [
                {
                  "id": 1,
                  "agentid": 1,
                  "agencyid": 1,
                  "atDate": "2026-10-17T14:47:47.3636971-07:00",
                  "geopoint": "sample string 2",
                  "status": 1,
                  "intime": "2026-10-17T14:47:47.3636971-07:00",
                  "outime": "2026-10-17T14:47:47.3636971-07:00",
                  "deduction": 1.0,
                  "overtime": 1.0,
                  "attendancemethod": 1
                },
                {
                  "id": 1,
                  "agentid": 1,
                  "agencyid": 1,
                  "atDate": "2026-10-17T14:47:47.3636971-07:00",
                  "geopoint": "sample string 2",
                  "status": 1,
                  "intime": "2026-10-17T14:47:47.3636971-07:00",
                  "outime": "2026-10-17T14:47:47.3636971-07:00",
                  "deduction": 1.0,
                  "overtime": 1.0,
                  "attendancemethod": 1
                }
              ],
              "languagelists": [
                {
                  "langlistid": 1,
                  "languageid": 1,
                  "agentid": 1,
                  "AgentLanguage": {
                    "languageid": 1,
                    "languages": "sample string 2",
                    "languagelists": []
                  }
                },
                {
                  "langlistid": 1,
                  "languageid": 1,
                  "agentid": 1,
                  "AgentLanguage": {
                    "languageid": 1,
                    "languages": "sample string 2",
                    "languagelists": []
                  }
                }
              ],
              "AgentWhatsAppSettings": [
                {
                  "Id": 1,
                  "AgentId": 2,
                  "AgencyId": 3,
                  "PhoneNumberId": "sample string 4",
                  "WhatsAppBusinessAccountId": "sample string 5",
                  "AccessToken": "sample string 6",
                  "PhoneNumber": "sample string 7",
                  "DisplayPhoneNumber": "sample string 8",
                  "BusinessName": "sample string 9",
                  "WelcomeTemplateName": "sample string 10",
                  "WelcomeTemplateLanguage": "sample string 11",
                  "IsEnabled": true,
                  "ConnectionStatus": "sample string 13",
                  "ConnectedAt": "2026-10-17T14:47:47.3636971-07:00",
                  "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
                  "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00"
                },
                {
                  "Id": 1,
                  "AgentId": 2,
                  "AgencyId": 3,
                  "PhoneNumberId": "sample string 4",
                  "WhatsAppBusinessAccountId": "sample string 5",
                  "AccessToken": "sample string 6",
                  "PhoneNumber": "sample string 7",
                  "DisplayPhoneNumber": "sample string 8",
                  "BusinessName": "sample string 9",
                  "WelcomeTemplateName": "sample string 10",
                  "WelcomeTemplateLanguage": "sample string 11",
                  "IsEnabled": true,
                  "ConnectionStatus": "sample string 13",
                  "ConnectedAt": "2026-10-17T14:47:47.3636971-07:00",
                  "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
                  "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00"
                }
              ],
              "WhatsAppConversations": [],
              "agent_live": {
                "agentid": 1,
                "status": "sample string 2",
                "speed_kmh": 1.0,
                "battery_pct": 64,
                "lat": 1.0,
                "lng": 1.0,
                "last_update": "2026-10-17T14:47:47.3636971-07:00"
              },
              "agent_location_history": [
                {
                  "id": 1,
                  "agentid": 2,
                  "recorded_at": "2026-10-17T14:47:47.3636971-07:00",
                  "lat": 4.0,
                  "lng": 5.0,
                  "speed_kmh": 1.0,
                  "battery_pct": 64
                },
                {
                  "id": 1,
                  "agentid": 2,
                  "recorded_at": "2026-10-17T14:47:47.3636971-07:00",
                  "lat": 4.0,
                  "lng": 5.0,
                  "speed_kmh": 1.0,
                  "battery_pct": 64
                }
              ]
            }
          ],
          "FacebookForms": [
            {
              "Id": 1,
              "PageId": "sample string 2",
              "FormId": "sample string 3",
              "FormName": "sample string 4",
              "AgencyId": 1
            },
            {
              "Id": 1,
              "PageId": "sample string 2",
              "FormId": "sample string 3",
              "FormName": "sample string 4",
              "AgencyId": 1
            }
          ],
          "FacebookPages": [
            {
              "Id": 1,
              "AgencyId": 1,
              "PageId": "sample string 2",
              "PageName": "sample string 3",
              "PageAccessToken": "sample string 4",
              "ConnectedAt": "2026-10-17T14:47:47.3636971-07:00"
            },
            {
              "Id": 1,
              "AgencyId": 1,
              "PageId": "sample string 2",
              "PageName": "sample string 3",
              "PageAccessToken": "sample string 4",
              "ConnectedAt": "2026-10-17T14:47:47.3636971-07:00"
            }
          ],
          "LeadTablePermissions": [
            {
              "Id": 1,
              "agencyid": 2,
              "role": 3,
              "firstname": true,
              "lastname": true,
              "history": true,
              "propertydata": true,
              "description": true,
              "leadtype": true,
              "leadTime": true,
              "lastUpdatedDate": true,
              "leadTag": true,
              "leadStatus": true,
              "source": true,
              "medium": true,
              "priority": true,
              "companyName": true,
              "designation": true,
              "budget": true,
              "location": true,
              "leadSerialNo": true,
              "propertyRefNo": true,
              "societyName": true,
              "fileNo": true,
              "block": true,
              "plotNo": true,
              "plotSize": true,
              "propertyType": true,
              "additionalNo": true,
              "email": true,
              "membershipId": true,
              "type": true,
              "whatsappNo": true,
              "moreinfo": true,
              "RoleTable": {
                "roleId": 1,
                "roleName": "sample string 2",
                "LeadTablePermissions": []
              }
            },
            {
              "Id": 1,
              "agencyid": 2,
              "role": 3,
              "firstname": true,
              "lastname": true,
              "history": true,
              "propertydata": true,
              "description": true,
              "leadtype": true,
              "leadTime": true,
              "lastUpdatedDate": true,
              "leadTag": true,
              "leadStatus": true,
              "source": true,
              "medium": true,
              "priority": true,
              "companyName": true,
              "designation": true,
              "budget": true,
              "location": true,
              "leadSerialNo": true,
              "propertyRefNo": true,
              "societyName": true,
              "fileNo": true,
              "block": true,
              "plotNo": true,
              "plotSize": true,
              "propertyType": true,
              "additionalNo": true,
              "email": true,
              "membershipId": true,
              "type": true,
              "whatsappNo": true,
              "moreinfo": true,
              "RoleTable": {
                "roleId": 1,
                "roleName": "sample string 2",
                "LeadTablePermissions": []
              }
            }
          ],
          "PackagePurchaseDetails": [
            {
              "id": 1,
              "pkgid": 1,
              "agencyid": 1,
              "purchaseDate": "2026-10-17T14:47:47.3636971-07:00",
              "purchaseSource": 1,
              "PackageDetail": {
                "id": 1,
                "name": "sample string 2",
                "countryid": 1,
                "amount": 1.0,
                "description": "sample string 3",
                "addcount": 1,
                "usercount": 1,
                "offamount": 1.0,
                "PackagePurchaseDetails": []
              }
            },
            {
              "id": 1,
              "pkgid": 1,
              "agencyid": 1,
              "purchaseDate": "2026-10-17T14:47:47.3636971-07:00",
              "purchaseSource": 1,
              "PackageDetail": {
                "id": 1,
                "name": "sample string 2",
                "countryid": 1,
                "amount": 1.0,
                "description": "sample string 3",
                "addcount": 1,
                "usercount": 1,
                "offamount": 1.0,
                "PackagePurchaseDetails": []
              }
            }
          ],
          "TableRights": [
            {
              "rightId": 1,
              "roleId": 1,
              "agencyId": 1,
              "addProperty": true,
              "viewProperty": true,
              "updateProperty": true,
              "addLead": true,
              "updateLead": true,
              "genLead": true,
              "genVoucher": true,
              "viewContacts": true,
              "viewAccounts": true,
              "salesTarget": true,
              "agentid": 1,
              "viewlead": true,
              "assigntask": true,
              "assignlead": true,
              "uploadleads": true,
              "addstaff": true,
              "viewpool": true,
              "viewalltask": true,
              "viewalllead": true,
              "smssending": true,
              "emailsending": true,
              "propertylocation": true,
              "ownercontact": true
            },
            {
              "rightId": 1,
              "roleId": 1,
              "agencyId": 1,
              "addProperty": true,
              "viewProperty": true,
              "updateProperty": true,
              "addLead": true,
              "updateLead": true,
              "genLead": true,
              "genVoucher": true,
              "viewContacts": true,
              "viewAccounts": true,
              "salesTarget": true,
              "agentid": 1,
              "viewlead": true,
              "assigntask": true,
              "assignlead": true,
              "uploadleads": true,
              "addstaff": true,
              "viewpool": true,
              "viewalltask": true,
              "viewalllead": true,
              "smssending": true,
              "emailsending": true,
              "propertylocation": true,
              "ownercontact": true
            }
          ],
          "TaskTables": [
            {
              "taskId": 1,
              "senderAgent": 1,
              "receiverAgent": 1,
              "description": "sample string 2",
              "status": 1,
              "taskReceivedDate": "2026-10-17T14:47:47.3636971-07:00",
              "taskCompletedDate": "2026-10-17T14:47:47.3636971-07:00",
              "agencyId": 1,
              "deadLine": "2026-10-17T14:47:47.3636971-07:00"
            },
            {
              "taskId": 1,
              "senderAgent": 1,
              "receiverAgent": 1,
              "description": "sample string 2",
              "status": 1,
              "taskReceivedDate": "2026-10-17T14:47:47.3636971-07:00",
              "taskCompletedDate": "2026-10-17T14:47:47.3636971-07:00",
              "agencyId": 1,
              "deadLine": "2026-10-17T14:47:47.3636971-07:00"
            }
          ],
          "VendorTables": [
            {
              "id": 1,
              "name": "sample string 2",
              "agencyId": 1,
              "contact": "sample string 3",
              "address": "sample string 4",
              "webiste": "sample string 5",
              "note": "sample string 6",
              "contact2": "sample string 7",
              "active": true,
              "ExpensesTables": [
                {
                  "id": 1,
                  "agencyid": 1,
                  "expid": 1,
                  "expdate": "2026-10-17T14:47:47.3636971-07:00",
                  "amount": 1.0,
                  "empid": 1,
                  "exptype": 1,
                  "vendorid": 1,
                  "description": "sample string 2",
                  "ExpenseType": {
                    "id": 1,
                    "name": "sample string 2",
                    "ExpensesTables": []
                  }
                },
                {
                  "id": 1,
                  "agencyid": 1,
                  "expid": 1,
                  "expdate": "2026-10-17T14:47:47.3636971-07:00",
                  "amount": 1.0,
                  "empid": 1,
                  "exptype": 1,
                  "vendorid": 1,
                  "description": "sample string 2",
                  "ExpenseType": {
                    "id": 1,
                    "name": "sample string 2",
                    "ExpensesTables": []
                  }
                }
              ]
            },
            {
              "id": 1,
              "name": "sample string 2",
              "agencyId": 1,
              "contact": "sample string 3",
              "address": "sample string 4",
              "webiste": "sample string 5",
              "note": "sample string 6",
              "contact2": "sample string 7",
              "active": true,
              "ExpensesTables": [
                {
                  "id": 1,
                  "agencyid": 1,
                  "expid": 1,
                  "expdate": "2026-10-17T14:47:47.3636971-07:00",
                  "amount": 1.0,
                  "empid": 1,
                  "exptype": 1,
                  "vendorid": 1,
                  "description": "sample string 2",
                  "ExpenseType": {
                    "id": 1,
                    "name": "sample string 2",
                    "ExpensesTables": []
                  }
                },
                {
                  "id": 1,
                  "agencyid": 1,
                  "expid": 1,
                  "expdate": "2026-10-17T14:47:47.3636971-07:00",
                  "amount": 1.0,
                  "empid": 1,
                  "exptype": 1,
                  "vendorid": 1,
                  "description": "sample string 2",
                  "ExpenseType": {
                    "id": 1,
                    "name": "sample string 2",
                    "ExpensesTables": []
                  }
                }
              ]
            }
          ],
          "AgencyWhatsAppSettings": [
            {
              "Id": 1,
              "AgencyId": 2,
              "PhoneNumberId": "sample string 3",
              "WhatsAppBusinessAccountId": "sample string 4",
              "AccessToken": "sample string 5",
              "WelcomeTemplateName": "sample string 6",
              "WelcomeTemplateLanguage": "sample string 7",
              "IsEnabled": true,
              "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
              "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00",
              "PhoneNumber": "sample string 11",
              "DisplayPhoneNumber": "sample string 12",
              "BusinessName": "sample string 13",
              "ConnectionStatus": "sample string 14",
              "ConnectedAt": "2026-10-17T14:47:47.3636971-07:00"
            },
            {
              "Id": 1,
              "AgencyId": 2,
              "PhoneNumberId": "sample string 3",
              "WhatsAppBusinessAccountId": "sample string 4",
              "AccessToken": "sample string 5",
              "WelcomeTemplateName": "sample string 6",
              "WelcomeTemplateLanguage": "sample string 7",
              "IsEnabled": true,
              "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
              "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00",
              "PhoneNumber": "sample string 11",
              "DisplayPhoneNumber": "sample string 12",
              "BusinessName": "sample string 13",
              "ConnectionStatus": "sample string 14",
              "ConnectedAt": "2026-10-17T14:47:47.3636971-07:00"
            }
          ],
          "WhatsAppConversations": [],
          "WhatsAppMessages": [
            {
              "Id": 1,
              "ConversationId": 2,
              "AgencyId": 3,
              "LeadId": 1,
              "Direction": "sample string 4",
              "Message": "sample string 5",
              "MessageType": "sample string 6",
              "WhatsAppMessageId": "sample string 7",
              "AIProcessed": true,
              "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
              "SentByUserId": 1,
              "SentByRole": "sample string 10",
              "Source": "sample string 11",
              "Status": "sample string 12",
              "ErrorCode": "sample string 13",
              "ErrorMessage": "sample string 14",
              "TemplateId": 1,
              "TemplateName": "sample string 15",
              "MediaId": "sample string 16",
              "MediaMimeType": "sample string 17",
              "MediaFileName": "sample string 18",
              "MessageTimestamp": "2026-10-17T14:47:47.3636971-07:00",
              "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00"
            },
            {
              "Id": 1,
              "ConversationId": 2,
              "AgencyId": 3,
              "LeadId": 1,
              "Direction": "sample string 4",
              "Message": "sample string 5",
              "MessageType": "sample string 6",
              "WhatsAppMessageId": "sample string 7",
              "AIProcessed": true,
              "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
              "SentByUserId": 1,
              "SentByRole": "sample string 10",
              "Source": "sample string 11",
              "Status": "sample string 12",
              "ErrorCode": "sample string 13",
              "ErrorMessage": "sample string 14",
              "TemplateId": 1,
              "TemplateName": "sample string 15",
              "MediaId": "sample string 16",
              "MediaMimeType": "sample string 17",
              "MediaFileName": "sample string 18",
              "MessageTimestamp": "2026-10-17T14:47:47.3636971-07:00",
              "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00"
            }
          ],
          "AgentWhatsAppSettings": [
            {
              "Id": 1,
              "AgentId": 2,
              "AgencyId": 3,
              "PhoneNumberId": "sample string 4",
              "WhatsAppBusinessAccountId": "sample string 5",
              "AccessToken": "sample string 6",
              "PhoneNumber": "sample string 7",
              "DisplayPhoneNumber": "sample string 8",
              "BusinessName": "sample string 9",
              "WelcomeTemplateName": "sample string 10",
              "WelcomeTemplateLanguage": "sample string 11",
              "IsEnabled": true,
              "ConnectionStatus": "sample string 13",
              "ConnectedAt": "2026-10-17T14:47:47.3636971-07:00",
              "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
              "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00",
              "AgentTable": {
                "agentid": 1,
                "agencyid": 1,
                "agentregno": "sample string 2",
                "firstName": "sample string 3",
                "lastName": "sample string 4",
                "agentemail": "sample string 5",
                "agentpassword": "sample string 6",
                "agentphone": "sample string 7",
                "agentdescription": "sample string 8",
                "agentcareerstarting": "2026-10-17T14:47:47.3636971-07:00",
                "agentactivelistings": 1,
                "cityid": 1,
                "agentimage": "sample string 9",
                "areas": "sample string 10",
                "issuperagent": true,
                "nationality": 1,
                "nicimg": "sample string 11",
                "status": 1,
                "agentFatherName": "sample string 12",
                "agentExperience": 1.1,
                "cnic": "sample string 13",
                "roleId": 1,
                "agentjoiningdate": "2026-10-17T14:47:47.3636971-07:00",
                "baseSalary": 1.0,
                "passportimg": "sample string 14",
                "contractpdf": "sample string 15",
                "idissuedate": "2026-10-17T14:47:47.3636971-07:00",
                "idexpdate": "2026-10-17T14:47:47.3636971-07:00",
                "passportissuedate": "2026-10-17T14:47:47.3636971-07:00",
                "passportexpdate": "2026-10-17T14:47:47.3636971-07:00",
                "brokerLicense": "sample string 16",
                "AdvanceSalaryTables": [
                  {
                    "AdvanceId": 1,
                    "AgentId": 1,
                    "Amount": 1.0,
                    "RequestDate": "2026-10-17T14:47:47.3636971-07:00",
                    "ApprovedDate": "2026-10-17T14:47:47.3636971-07:00",
                    "Status": 1,
                    "DeductionMonth": "2026-10-17T14:47:47.3636971-07:00",
                    "Notes": "sample string 2",
                    "Agencyid": 1
                  },
                  {
                    "AdvanceId": 1,
                    "AgentId": 1,
                    "Amount": 1.0,
                    "RequestDate": "2026-10-17T14:47:47.3636971-07:00",
                    "ApprovedDate": "2026-10-17T14:47:47.3636971-07:00",
                    "Status": 1,
                    "DeductionMonth": "2026-10-17T14:47:47.3636971-07:00",
                    "Notes": "sample string 2",
                    "Agencyid": 1
                  }
                ],
                "AgentSalaries": [
                  {
                    "SalaryId": 1,
                    "AgentId": 2,
                    "BaseSalary": 3.0,
                    "Bonus": 1.0,
                    "Commission": 1.0,
                    "Allowances": 1.0,
                    "Deductions": 1.0,
                    "Overtime": 1.0,
                    "AdvanceDeductions": 1.0,
                    "DueAmount": 1.0,
                    "NetSalary": 1.0,
                    "MonthYear": "2026-10-17T14:47:47.3636971-07:00",
                    "PaymentStatus": "sample string 4",
                    "PaidDate": "2026-10-17T14:47:47.3636971-07:00",
                    "Userid": 1,
                    "AgencyId": 1,
                    "Balance": 1.0
                  },
                  {
                    "SalaryId": 1,
                    "AgentId": 2,
                    "BaseSalary": 3.0,
                    "Bonus": 1.0,
                    "Commission": 1.0,
                    "Allowances": 1.0,
                    "Deductions": 1.0,
                    "Overtime": 1.0,
                    "AdvanceDeductions": 1.0,
                    "DueAmount": 1.0,
                    "NetSalary": 1.0,
                    "MonthYear": "2026-10-17T14:47:47.3636971-07:00",
                    "PaymentStatus": "sample string 4",
                    "PaidDate": "2026-10-17T14:47:47.3636971-07:00",
                    "Userid": 1,
                    "AgencyId": 1,
                    "Balance": 1.0
                  }
                ],
                "AttendanceTables": [
                  {
                    "id": 1,
                    "agentid": 1,
                    "agencyid": 1,
                    "atDate": "2026-10-17T14:47:47.3636971-07:00",
                    "geopoint": "sample string 2",
                    "status": 1,
                    "intime": "2026-10-17T14:47:47.3636971-07:00",
                    "outime": "2026-10-17T14:47:47.3636971-07:00",
                    "deduction": 1.0,
                    "overtime": 1.0,
                    "attendancemethod": 1
                  },
                  {
                    "id": 1,
                    "agentid": 1,
                    "agencyid": 1,
                    "atDate": "2026-10-17T14:47:47.3636971-07:00",
                    "geopoint": "sample string 2",
                    "status": 1,
                    "intime": "2026-10-17T14:47:47.3636971-07:00",
                    "outime": "2026-10-17T14:47:47.3636971-07:00",
                    "deduction": 1.0,
                    "overtime": 1.0,
                    "attendancemethod": 1
                  }
                ],
                "languagelists": [
                  {
                    "langlistid": 1,
                    "languageid": 1,
                    "agentid": 1,
                    "AgentLanguage": {
                      "languageid": 1,
                      "languages": "sample string 2",
                      "languagelists": []
                    }
                  },
                  {
                    "langlistid": 1,
                    "languageid": 1,
                    "agentid": 1,
                    "AgentLanguage": {
                      "languageid": 1,
                      "languages": "sample string 2",
                      "languagelists": []
                    }
                  }
                ],
                "AgentWhatsAppSettings": [],
                "WhatsAppConversations": [],
                "agent_live": {
                  "agentid": 1,
                  "status": "sample string 2",
                  "speed_kmh": 1.0,
                  "battery_pct": 64,
                  "lat": 1.0,
                  "lng": 1.0,
                  "last_update": "2026-10-17T14:47:47.3636971-07:00"
                },
                "agent_location_history": [
                  {
                    "id": 1,
                    "agentid": 2,
                    "recorded_at": "2026-10-17T14:47:47.3636971-07:00",
                    "lat": 4.0,
                    "lng": 5.0,
                    "speed_kmh": 1.0,
                    "battery_pct": 64
                  },
                  {
                    "id": 1,
                    "agentid": 2,
                    "recorded_at": "2026-10-17T14:47:47.3636971-07:00",
                    "lat": 4.0,
                    "lng": 5.0,
                    "speed_kmh": 1.0,
                    "battery_pct": 64
                  }
                ]
              }
            },
            {
              "Id": 1,
              "AgentId": 2,
              "AgencyId": 3,
              "PhoneNumberId": "sample string 4",
              "WhatsAppBusinessAccountId": "sample string 5",
              "AccessToken": "sample string 6",
              "PhoneNumber": "sample string 7",
              "DisplayPhoneNumber": "sample string 8",
              "BusinessName": "sample string 9",
              "WelcomeTemplateName": "sample string 10",
              "WelcomeTemplateLanguage": "sample string 11",
              "IsEnabled": true,
              "ConnectionStatus": "sample string 13",
              "ConnectedAt": "2026-10-17T14:47:47.3636971-07:00",
              "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
              "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00",
              "AgentTable": {
                "agentid": 1,
                "agencyid": 1,
                "agentregno": "sample string 2",
                "firstName": "sample string 3",
                "lastName": "sample string 4",
                "agentemail": "sample string 5",
                "agentpassword": "sample string 6",
                "agentphone": "sample string 7",
                "agentdescription": "sample string 8",
                "agentcareerstarting": "2026-10-17T14:47:47.3636971-07:00",
                "agentactivelistings": 1,
                "cityid": 1,
                "agentimage": "sample string 9",
                "areas": "sample string 10",
                "issuperagent": true,
                "nationality": 1,
                "nicimg": "sample string 11",
                "status": 1,
                "agentFatherName": "sample string 12",
                "agentExperience": 1.1,
                "cnic": "sample string 13",
                "roleId": 1,
                "agentjoiningdate": "2026-10-17T14:47:47.3636971-07:00",
                "baseSalary": 1.0,
                "passportimg": "sample string 14",
                "contractpdf": "sample string 15",
                "idissuedate": "2026-10-17T14:47:47.3636971-07:00",
                "idexpdate": "2026-10-17T14:47:47.3636971-07:00",
                "passportissuedate": "2026-10-17T14:47:47.3636971-07:00",
                "passportexpdate": "2026-10-17T14:47:47.3636971-07:00",
                "brokerLicense": "sample string 16",
                "AdvanceSalaryTables": [
                  {
                    "AdvanceId": 1,
                    "AgentId": 1,
                    "Amount": 1.0,
                    "RequestDate": "2026-10-17T14:47:47.3636971-07:00",
                    "ApprovedDate": "2026-10-17T14:47:47.3636971-07:00",
                    "Status": 1,
                    "DeductionMonth": "2026-10-17T14:47:47.3636971-07:00",
                    "Notes": "sample string 2",
                    "Agencyid": 1
                  },
                  {
                    "AdvanceId": 1,
                    "AgentId": 1,
                    "Amount": 1.0,
                    "RequestDate": "2026-10-17T14:47:47.3636971-07:00",
                    "ApprovedDate": "2026-10-17T14:47:47.3636971-07:00",
                    "Status": 1,
                    "DeductionMonth": "2026-10-17T14:47:47.3636971-07:00",
                    "Notes": "sample string 2",
                    "Agencyid": 1
                  }
                ],
                "AgentSalaries": [
                  {
                    "SalaryId": 1,
                    "AgentId": 2,
                    "BaseSalary": 3.0,
                    "Bonus": 1.0,
                    "Commission": 1.0,
                    "Allowances": 1.0,
                    "Deductions": 1.0,
                    "Overtime": 1.0,
                    "AdvanceDeductions": 1.0,
                    "DueAmount": 1.0,
                    "NetSalary": 1.0,
                    "MonthYear": "2026-10-17T14:47:47.3636971-07:00",
                    "PaymentStatus": "sample string 4",
                    "PaidDate": "2026-10-17T14:47:47.3636971-07:00",
                    "Userid": 1,
                    "AgencyId": 1,
                    "Balance": 1.0
                  },
                  {
                    "SalaryId": 1,
                    "AgentId": 2,
                    "BaseSalary": 3.0,
                    "Bonus": 1.0,
                    "Commission": 1.0,
                    "Allowances": 1.0,
                    "Deductions": 1.0,
                    "Overtime": 1.0,
                    "AdvanceDeductions": 1.0,
                    "DueAmount": 1.0,
                    "NetSalary": 1.0,
                    "MonthYear": "2026-10-17T14:47:47.3636971-07:00",
                    "PaymentStatus": "sample string 4",
                    "PaidDate": "2026-10-17T14:47:47.3636971-07:00",
                    "Userid": 1,
                    "AgencyId": 1,
                    "Balance": 1.0
                  }
                ],
                "AttendanceTables": [
                  {
                    "id": 1,
                    "agentid": 1,
                    "agencyid": 1,
                    "atDate": "2026-10-17T14:47:47.3636971-07:00",
                    "geopoint": "sample string 2",
                    "status": 1,
                    "intime": "2026-10-17T14:47:47.3636971-07:00",
                    "outime": "2026-10-17T14:47:47.3636971-07:00",
                    "deduction": 1.0,
                    "overtime": 1.0,
                    "attendancemethod": 1
                  },
                  {
                    "id": 1,
                    "agentid": 1,
                    "agencyid": 1,
                    "atDate": "2026-10-17T14:47:47.3636971-07:00",
                    "geopoint": "sample string 2",
                    "status": 1,
                    "intime": "2026-10-17T14:47:47.3636971-07:00",
                    "outime": "2026-10-17T14:47:47.3636971-07:00",
                    "deduction": 1.0,
                    "overtime": 1.0,
                    "attendancemethod": 1
                  }
                ],
                "languagelists": [
                  {
                    "langlistid": 1,
                    "languageid": 1,
                    "agentid": 1,
                    "AgentLanguage": {
                      "languageid": 1,
                      "languages": "sample string 2",
                      "languagelists": []
                    }
                  },
                  {
                    "langlistid": 1,
                    "languageid": 1,
                    "agentid": 1,
                    "AgentLanguage": {
                      "languageid": 1,
                      "languages": "sample string 2",
                      "languagelists": []
                    }
                  }
                ],
                "AgentWhatsAppSettings": [],
                "WhatsAppConversations": [],
                "agent_live": {
                  "agentid": 1,
                  "status": "sample string 2",
                  "speed_kmh": 1.0,
                  "battery_pct": 64,
                  "lat": 1.0,
                  "lng": 1.0,
                  "last_update": "2026-10-17T14:47:47.3636971-07:00"
                },
                "agent_location_history": [
                  {
                    "id": 1,
                    "agentid": 2,
                    "recorded_at": "2026-10-17T14:47:47.3636971-07:00",
                    "lat": 4.0,
                    "lng": 5.0,
                    "speed_kmh": 1.0,
                    "battery_pct": 64
                  },
                  {
                    "id": 1,
                    "agentid": 2,
                    "recorded_at": "2026-10-17T14:47:47.3636971-07:00",
                    "lat": 4.0,
                    "lng": 5.0,
                    "speed_kmh": 1.0,
                    "battery_pct": 64
                  }
                ]
              }
            }
          ]
        },
        "WhatsAppMessages": [
          {
            "Id": 1,
            "ConversationId": 2,
            "AgencyId": 3,
            "LeadId": 1,
            "Direction": "sample string 4",
            "Message": "sample string 5",
            "MessageType": "sample string 6",
            "WhatsAppMessageId": "sample string 7",
            "AIProcessed": true,
            "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
            "SentByUserId": 1,
            "SentByRole": "sample string 10",
            "Source": "sample string 11",
            "Status": "sample string 12",
            "ErrorCode": "sample string 13",
            "ErrorMessage": "sample string 14",
            "TemplateId": 1,
            "TemplateName": "sample string 15",
            "MediaId": "sample string 16",
            "MediaMimeType": "sample string 17",
            "MediaFileName": "sample string 18",
            "MessageTimestamp": "2026-10-17T14:47:47.3636971-07:00",
            "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00",
            "AgencyTable": {
              "agencyid": 1,
              "Agency_Descrip": "sample string 2",
              "agencyname": "sample string 3",
              "agencylogo": "sample string 4",
              "agencywatermark": "sample string 5",
              "agencywatermarksize": 1,
              "agencytransparency": 1,
              "agencywatermarkposition": 1,
              "agencyregno": "sample string 6",
              "licenseno": "sample string 7",
              "agencylicensepic": "sample string 8",
              "issuedate": "2026-10-17T14:47:47.3636971-07:00",
              "expdate": "2026-10-17T14:47:47.3636971-07:00",
              "agencyphone": "sample string 9",
              "agencyuan": "sample string 10",
              "agencyemail": "sample string 11",
              "agencypassword": "sample string 12",
              "agencyaddress": "sample string 13",
              "agencyjoindate": "2026-10-17T14:47:47.3636971-07:00",
              "agencystatus": 1,
              "cityid": 1,
              "adminid": 1,
              "refnostartingprop": 1,
              "agcRefTag": "sample string 14",
              "adsLimit": 1,
              "confirmationToken": "sample string 15",
              "ofcLat": 1.0,
              "ofcLong": 1.0,
              "listingcount": 1,
              "usercount": 1,
              "added_adrec": "sample string 16",
              "AdminTable": {
                "adminid": 1,
                "adminname": "sample string 2",
                "adminnic": "sample string 3",
                "adminpassword": "sample string 4",
                "adminemail": "sample string 5",
                "AgencyTables": []
              },
              "CityTable": {
                "cityid": 1,
                "cityname": "sample string 2",
                "provid": 1,
                "countryid": 1,
                "arabicname": "sample string 3",
                "urduname": "sample string 4",
                "latittude": "sample string 5",
                "longitude": "sample string 6",
                "AgencyTables": [],
                "ProvinceTable": {
                  "provid": 1,
                  "provname": "sample string 2",
                  "countryid": 1,
                  "urduname": "sample string 3",
                  "arabicname": "sample string 4",
                  "latitude": "sample string 5",
                  "longitude": "sample string 6",
                  "CityTables": [],
                  "CountryTable": {
                    "countryid": 1,
                    "countryname": "sample string 2",
                    "urduname": "sample string 3",
                    "arabicname": "sample string 4",
                    "latitude": "sample string 5",
                    "longitude": "sample string 6",
                    "ProvinceTables": []
                  }
                },
                "PropertyTables": [
                  {
                    "propertyid": 1,
                    "saluation": "sample string 2",
                    "ownfirstname": "sample string 3",
                    "ownlastname": "sample string 4",
                    "ownemail": "sample string 5",
                    "mobileno": "sample string 6",
                    "ownrole": 1,
                    "duration": 1,
                    "nationality": "sample string 7",
                    "isverified": true,
                    "propertytitle": "sample string 8",
                    "propertyprice": 1,
                    "securityfee": 1,
                    "percentage": 1.1,
                    "commission": 1.1,
                    "propertyrefnum": "sample string 9",
                    "propertytypeid": 10,
                    "propertysizekanal": 1.1,
                    "propertysizemarla": 1.1,
                    "propertysizesqft": 1.1,
                    "propertysizeSqmt": 1.1,
                    "propertysizeSqyd": 1.1,
                    "buildingno": 1,
                    "unitno": 1,
                    "bedrooms": 1,
                    "bathrooms": 1,
                    "propertyaddress": "sample string 11",
                    "coordinates": "sample string 12",
                    "publisheddate": "2026-10-17T14:47:47.3636971-07:00",
                    "propertydescription": "sample string 13",
                    "cityid": 1,
                    "agentid": 1,
                    "propertypurposeid": 1,
                    "pstatus": 1,
                    "propertyvideos": "sample string 14",
                    "sublocid": 1,
                    "documentfile": "sample string 15",
                    "verificationDoc": "sample string 16",
                    "notes": "sample string 17",
                    "buildingname": "sample string 18",
                    "offPlan": 1,
                    "furnished": 1,
                    "floorPlan": "sample string 19",
                    "propertyCoveredArea": 1.1,
                    "cheques": 1,
                    "lastUpdated": "2026-10-17T14:47:47.3636971-07:00",
                    "viewsCount": 1,
                    "agencyid": 1,
                    "permitno": "sample string 20",
                    "Prop_Amen": [
                      {
                        "propamenid": 1,
                        "propertyid": 1,
                        "amenitiesid": 1,
                        "Amenity": {
                          "amenitiesid": 1,
                          "amenities": "sample string 2",
                          "Prop_Amen": []
                        }
                      },
                      {
                        "propamenid": 1,
                        "propertyid": 1,
                        "amenitiesid": 1,
                        "Amenity": {
                          "amenitiesid": 1,
                          "amenities": "sample string 2",
                          "Prop_Amen": []
                        }
                      }
                    ],
                    "PropertyImagesTables": [
                      {
                        "propertyimageid": 1,
                        "propertyimages": "sample string 2",
                        "propertyid": 1,
                        "tag": "sample string 3",
                        "imglogo": "sample string 4",
                        "imgnologo": "sample string 5",
                        "imgindex": "sample string 6"
                      },
                      {
                        "propertyimageid": 1,
                        "propertyimages": "sample string 2",
                        "propertyid": 1,
                        "tag": "sample string 3",
                        "imglogo": "sample string 4",
                        "imgnologo": "sample string 5",
                        "imgindex": "sample string 6"
                      }
                    ],
                    "PropertyPurpose": {
                      "propertypurposeid": 1,
                      "propertypurpose1": "sample string 2",
                      "slug": "sample string 3",
                      "PropertyTables": []
                    },
                    "PropertyType": {
                      "propertytypeid": 1,
                      "propertytype1": "sample string 2",
                      "slug": "sample string 3",
                      "description": "sample string 4",
                      "PropertyTables": []
                    }
                  },
                  {
                    "propertyid": 1,
                    "saluation": "sample string 2",
                    "ownfirstname": "sample string 3",
                    "ownlastname": "sample string 4",
                    "ownemail": "sample string 5",
                    "mobileno": "sample string 6",
                    "ownrole": 1,
                    "duration": 1,
                    "nationality": "sample string 7",
                    "isverified": true,
                    "propertytitle": "sample string 8",
                    "propertyprice": 1,
                    "securityfee": 1,
                    "percentage": 1.1,
                    "commission": 1.1,
                    "propertyrefnum": "sample string 9",
                    "propertytypeid": 10,
                    "propertysizekanal": 1.1,
                    "propertysizemarla": 1.1,
                    "propertysizesqft": 1.1,
                    "propertysizeSqmt": 1.1,
                    "propertysizeSqyd": 1.1,
                    "buildingno": 1,
                    "unitno": 1,
                    "bedrooms": 1,
                    "bathrooms": 1,
                    "propertyaddress": "sample string 11",
                    "coordinates": "sample string 12",
                    "publisheddate": "2026-10-17T14:47:47.3636971-07:00",
                    "propertydescription": "sample string 13",
                    "cityid": 1,
                    "agentid": 1,
                    "propertypurposeid": 1,
                    "pstatus": 1,
                    "propertyvideos": "sample string 14",
                    "sublocid": 1,
                    "documentfile": "sample string 15",
                    "verificationDoc": "sample string 16",
                    "notes": "sample string 17",
                    "buildingname": "sample string 18",
                    "offPlan": 1,
                    "furnished": 1,
                    "floorPlan": "sample string 19",
                    "propertyCoveredArea": 1.1,
                    "cheques": 1,
                    "lastUpdated": "2026-10-17T14:47:47.3636971-07:00",
                    "viewsCount": 1,
                    "agencyid": 1,
                    "permitno": "sample string 20",
                    "Prop_Amen": [
                      {
                        "propamenid": 1,
                        "propertyid": 1,
                        "amenitiesid": 1,
                        "Amenity": {
                          "amenitiesid": 1,
                          "amenities": "sample string 2",
                          "Prop_Amen": []
                        }
                      },
                      {
                        "propamenid": 1,
                        "propertyid": 1,
                        "amenitiesid": 1,
                        "Amenity": {
                          "amenitiesid": 1,
                          "amenities": "sample string 2",
                          "Prop_Amen": []
                        }
                      }
                    ],
                    "PropertyImagesTables": [
                      {
                        "propertyimageid": 1,
                        "propertyimages": "sample string 2",
                        "propertyid": 1,
                        "tag": "sample string 3",
                        "imglogo": "sample string 4",
                        "imgnologo": "sample string 5",
                        "imgindex": "sample string 6"
                      },
                      {
                        "propertyimageid": 1,
                        "propertyimages": "sample string 2",
                        "propertyid": 1,
                        "tag": "sample string 3",
                        "imglogo": "sample string 4",
                        "imgnologo": "sample string 5",
                        "imgindex": "sample string 6"
                      }
                    ],
                    "PropertyPurpose": {
                      "propertypurposeid": 1,
                      "propertypurpose1": "sample string 2",
                      "slug": "sample string 3",
                      "PropertyTables": []
                    },
                    "PropertyType": {
                      "propertytypeid": 1,
                      "propertytype1": "sample string 2",
                      "slug": "sample string 3",
                      "description": "sample string 4",
                      "PropertyTables": []
                    }
                  }
                ],
                "UserProfiles": [
                  {
                    "userid": 1,
                    "firstname": "sample string 2",
                    "lastname": "sample string 3",
                    "password": "sample string 4",
                    "userphone": "sample string 5",
                    "useremail": "sample string 6",
                    "useractivestatus": true,
                    "userjoindate": "2026-10-17T14:47:47.3636971-07:00",
                    "userpicture": "sample string 7",
                    "fathername": "sample string 8",
                    "cityid": 1,
                    "resetToken": "sample string 9",
                    "userPortal": "sample string 10",
                    "usercnic": "sample string 11",
                    "agencyid": 1,
                    "SavedProperties": [
                      {
                        "savepropertyid": 1,
                        "userid": 1,
                        "propertyid": 1
                      },
                      {
                        "savepropertyid": 1,
                        "userid": 1,
                        "propertyid": 1
                      }
                    ]
                  },
                  {
                    "userid": 1,
                    "firstname": "sample string 2",
                    "lastname": "sample string 3",
                    "password": "sample string 4",
                    "userphone": "sample string 5",
                    "useremail": "sample string 6",
                    "useractivestatus": true,
                    "userjoindate": "2026-10-17T14:47:47.3636971-07:00",
                    "userpicture": "sample string 7",
                    "fathername": "sample string 8",
                    "cityid": 1,
                    "resetToken": "sample string 9",
                    "userPortal": "sample string 10",
                    "usercnic": "sample string 11",
                    "agencyid": 1,
                    "SavedProperties": [
                      {
                        "savepropertyid": 1,
                        "userid": 1,
                        "propertyid": 1
                      },
                      {
                        "savepropertyid": 1,
                        "userid": 1,
                        "propertyid": 1
                      }
                    ]
                  }
                ]
              },
              "AgentTables": [
                {
                  "agentid": 1,
                  "agencyid": 1,
                  "agentregno": "sample string 2",
                  "firstName": "sample string 3",
                  "lastName": "sample string 4",
                  "agentemail": "sample string 5",
                  "agentpassword": "sample string 6",
                  "agentphone": "sample string 7",
                  "agentdescription": "sample string 8",
                  "agentcareerstarting": "2026-10-17T14:47:47.3636971-07:00",
                  "agentactivelistings": 1,
                  "cityid": 1,
                  "agentimage": "sample string 9",
                  "areas": "sample string 10",
                  "issuperagent": true,
                  "nationality": 1,
                  "nicimg": "sample string 11",
                  "status": 1,
                  "agentFatherName": "sample string 12",
                  "agentExperience": 1.1,
                  "cnic": "sample string 13",
                  "roleId": 1,
                  "agentjoiningdate": "2026-10-17T14:47:47.3636971-07:00",
                  "baseSalary": 1.0,
                  "passportimg": "sample string 14",
                  "contractpdf": "sample string 15",
                  "idissuedate": "2026-10-17T14:47:47.3636971-07:00",
                  "idexpdate": "2026-10-17T14:47:47.3636971-07:00",
                  "passportissuedate": "2026-10-17T14:47:47.3636971-07:00",
                  "passportexpdate": "2026-10-17T14:47:47.3636971-07:00",
                  "brokerLicense": "sample string 16",
                  "AdvanceSalaryTables": [
                    {
                      "AdvanceId": 1,
                      "AgentId": 1,
                      "Amount": 1.0,
                      "RequestDate": "2026-10-17T14:47:47.3636971-07:00",
                      "ApprovedDate": "2026-10-17T14:47:47.3636971-07:00",
                      "Status": 1,
                      "DeductionMonth": "2026-10-17T14:47:47.3636971-07:00",
                      "Notes": "sample string 2",
                      "Agencyid": 1
                    },
                    {
                      "AdvanceId": 1,
                      "AgentId": 1,
                      "Amount": 1.0,
                      "RequestDate": "2026-10-17T14:47:47.3636971-07:00",
                      "ApprovedDate": "2026-10-17T14:47:47.3636971-07:00",
                      "Status": 1,
                      "DeductionMonth": "2026-10-17T14:47:47.3636971-07:00",
                      "Notes": "sample string 2",
                      "Agencyid": 1
                    }
                  ],
                  "AgentSalaries": [
                    {
                      "SalaryId": 1,
                      "AgentId": 2,
                      "BaseSalary": 3.0,
                      "Bonus": 1.0,
                      "Commission": 1.0,
                      "Allowances": 1.0,
                      "Deductions": 1.0,
                      "Overtime": 1.0,
                      "AdvanceDeductions": 1.0,
                      "DueAmount": 1.0,
                      "NetSalary": 1.0,
                      "MonthYear": "2026-10-17T14:47:47.3636971-07:00",
                      "PaymentStatus": "sample string 4",
                      "PaidDate": "2026-10-17T14:47:47.3636971-07:00",
                      "Userid": 1,
                      "AgencyId": 1,
                      "Balance": 1.0
                    },
                    {
                      "SalaryId": 1,
                      "AgentId": 2,
                      "BaseSalary": 3.0,
                      "Bonus": 1.0,
                      "Commission": 1.0,
                      "Allowances": 1.0,
                      "Deductions": 1.0,
                      "Overtime": 1.0,
                      "AdvanceDeductions": 1.0,
                      "DueAmount": 1.0,
                      "NetSalary": 1.0,
                      "MonthYear": "2026-10-17T14:47:47.3636971-07:00",
                      "PaymentStatus": "sample string 4",
                      "PaidDate": "2026-10-17T14:47:47.3636971-07:00",
                      "Userid": 1,
                      "AgencyId": 1,
                      "Balance": 1.0
                    }
                  ],
                  "AttendanceTables": [
                    {
                      "id": 1,
                      "agentid": 1,
                      "agencyid": 1,
                      "atDate": "2026-10-17T14:47:47.3636971-07:00",
                      "geopoint": "sample string 2",
                      "status": 1,
                      "intime": "2026-10-17T14:47:47.3636971-07:00",
                      "outime": "2026-10-17T14:47:47.3636971-07:00",
                      "deduction": 1.0,
                      "overtime": 1.0,
                      "attendancemethod": 1
                    },
                    {
                      "id": 1,
                      "agentid": 1,
                      "agencyid": 1,
                      "atDate": "2026-10-17T14:47:47.3636971-07:00",
                      "geopoint": "sample string 2",
                      "status": 1,
                      "intime": "2026-10-17T14:47:47.3636971-07:00",
                      "outime": "2026-10-17T14:47:47.3636971-07:00",
                      "deduction": 1.0,
                      "overtime": 1.0,
                      "attendancemethod": 1
                    }
                  ],
                  "languagelists": [
                    {
                      "langlistid": 1,
                      "languageid": 1,
                      "agentid": 1,
                      "AgentLanguage": {
                        "languageid": 1,
                        "languages": "sample string 2",
                        "languagelists": []
                      }
                    },
                    {
                      "langlistid": 1,
                      "languageid": 1,
                      "agentid": 1,
                      "AgentLanguage": {
                        "languageid": 1,
                        "languages": "sample string 2",
                        "languagelists": []
                      }
                    }
                  ],
                  "AgentWhatsAppSettings": [
                    {
                      "Id": 1,
                      "AgentId": 2,
                      "AgencyId": 3,
                      "PhoneNumberId": "sample string 4",
                      "WhatsAppBusinessAccountId": "sample string 5",
                      "AccessToken": "sample string 6",
                      "PhoneNumber": "sample string 7",
                      "DisplayPhoneNumber": "sample string 8",
                      "BusinessName": "sample string 9",
                      "WelcomeTemplateName": "sample string 10",
                      "WelcomeTemplateLanguage": "sample string 11",
                      "IsEnabled": true,
                      "ConnectionStatus": "sample string 13",
                      "ConnectedAt": "2026-10-17T14:47:47.3636971-07:00",
                      "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
                      "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00"
                    },
                    {
                      "Id": 1,
                      "AgentId": 2,
                      "AgencyId": 3,
                      "PhoneNumberId": "sample string 4",
                      "WhatsAppBusinessAccountId": "sample string 5",
                      "AccessToken": "sample string 6",
                      "PhoneNumber": "sample string 7",
                      "DisplayPhoneNumber": "sample string 8",
                      "BusinessName": "sample string 9",
                      "WelcomeTemplateName": "sample string 10",
                      "WelcomeTemplateLanguage": "sample string 11",
                      "IsEnabled": true,
                      "ConnectionStatus": "sample string 13",
                      "ConnectedAt": "2026-10-17T14:47:47.3636971-07:00",
                      "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
                      "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00"
                    }
                  ],
                  "WhatsAppConversations": [],
                  "agent_live": {
                    "agentid": 1,
                    "status": "sample string 2",
                    "speed_kmh": 1.0,
                    "battery_pct": 64,
                    "lat": 1.0,
                    "lng": 1.0,
                    "last_update": "2026-10-17T14:47:47.3636971-07:00"
                  },
                  "agent_location_history": [
                    {
                      "id": 1,
                      "agentid": 2,
                      "recorded_at": "2026-10-17T14:47:47.3636971-07:00",
                      "lat": 4.0,
                      "lng": 5.0,
                      "speed_kmh": 1.0,
                      "battery_pct": 64
                    },
                    {
                      "id": 1,
                      "agentid": 2,
                      "recorded_at": "2026-10-17T14:47:47.3636971-07:00",
                      "lat": 4.0,
                      "lng": 5.0,
                      "speed_kmh": 1.0,
                      "battery_pct": 64
                    }
                  ]
                },
                {
                  "agentid": 1,
                  "agencyid": 1,
                  "agentregno": "sample string 2",
                  "firstName": "sample string 3",
                  "lastName": "sample string 4",
                  "agentemail": "sample string 5",
                  "agentpassword": "sample string 6",
                  "agentphone": "sample string 7",
                  "agentdescription": "sample string 8",
                  "agentcareerstarting": "2026-10-17T14:47:47.3636971-07:00",
                  "agentactivelistings": 1,
                  "cityid": 1,
                  "agentimage": "sample string 9",
                  "areas": "sample string 10",
                  "issuperagent": true,
                  "nationality": 1,
                  "nicimg": "sample string 11",
                  "status": 1,
                  "agentFatherName": "sample string 12",
                  "agentExperience": 1.1,
                  "cnic": "sample string 13",
                  "roleId": 1,
                  "agentjoiningdate": "2026-10-17T14:47:47.3636971-07:00",
                  "baseSalary": 1.0,
                  "passportimg": "sample string 14",
                  "contractpdf": "sample string 15",
                  "idissuedate": "2026-10-17T14:47:47.3636971-07:00",
                  "idexpdate": "2026-10-17T14:47:47.3636971-07:00",
                  "passportissuedate": "2026-10-17T14:47:47.3636971-07:00",
                  "passportexpdate": "2026-10-17T14:47:47.3636971-07:00",
                  "brokerLicense": "sample string 16",
                  "AdvanceSalaryTables": [
                    {
                      "AdvanceId": 1,
                      "AgentId": 1,
                      "Amount": 1.0,
                      "RequestDate": "2026-10-17T14:47:47.3636971-07:00",
                      "ApprovedDate": "2026-10-17T14:47:47.3636971-07:00",
                      "Status": 1,
                      "DeductionMonth": "2026-10-17T14:47:47.3636971-07:00",
                      "Notes": "sample string 2",
                      "Agencyid": 1
                    },
                    {
                      "AdvanceId": 1,
                      "AgentId": 1,
                      "Amount": 1.0,
                      "RequestDate": "2026-10-17T14:47:47.3636971-07:00",
                      "ApprovedDate": "2026-10-17T14:47:47.3636971-07:00",
                      "Status": 1,
                      "DeductionMonth": "2026-10-17T14:47:47.3636971-07:00",
                      "Notes": "sample string 2",
                      "Agencyid": 1
                    }
                  ],
                  "AgentSalaries": [
                    {
                      "SalaryId": 1,
                      "AgentId": 2,
                      "BaseSalary": 3.0,
                      "Bonus": 1.0,
                      "Commission": 1.0,
                      "Allowances": 1.0,
                      "Deductions": 1.0,
                      "Overtime": 1.0,
                      "AdvanceDeductions": 1.0,
                      "DueAmount": 1.0,
                      "NetSalary": 1.0,
                      "MonthYear": "2026-10-17T14:47:47.3636971-07:00",
                      "PaymentStatus": "sample string 4",
                      "PaidDate": "2026-10-17T14:47:47.3636971-07:00",
                      "Userid": 1,
                      "AgencyId": 1,
                      "Balance": 1.0
                    },
                    {
                      "SalaryId": 1,
                      "AgentId": 2,
                      "BaseSalary": 3.0,
                      "Bonus": 1.0,
                      "Commission": 1.0,
                      "Allowances": 1.0,
                      "Deductions": 1.0,
                      "Overtime": 1.0,
                      "AdvanceDeductions": 1.0,
                      "DueAmount": 1.0,
                      "NetSalary": 1.0,
                      "MonthYear": "2026-10-17T14:47:47.3636971-07:00",
                      "PaymentStatus": "sample string 4",
                      "PaidDate": "2026-10-17T14:47:47.3636971-07:00",
                      "Userid": 1,
                      "AgencyId": 1,
                      "Balance": 1.0
                    }
                  ],
                  "AttendanceTables": [
                    {
                      "id": 1,
                      "agentid": 1,
                      "agencyid": 1,
                      "atDate": "2026-10-17T14:47:47.3636971-07:00",
                      "geopoint": "sample string 2",
                      "status": 1,
                      "intime": "2026-10-17T14:47:47.3636971-07:00",
                      "outime": "2026-10-17T14:47:47.3636971-07:00",
                      "deduction": 1.0,
                      "overtime": 1.0,
                      "attendancemethod": 1
                    },
                    {
                      "id": 1,
                      "agentid": 1,
                      "agencyid": 1,
                      "atDate": "2026-10-17T14:47:47.3636971-07:00",
                      "geopoint": "sample string 2",
                      "status": 1,
                      "intime": "2026-10-17T14:47:47.3636971-07:00",
                      "outime": "2026-10-17T14:47:47.3636971-07:00",
                      "deduction": 1.0,
                      "overtime": 1.0,
                      "attendancemethod": 1
                    }
                  ],
                  "languagelists": [
                    {
                      "langlistid": 1,
                      "languageid": 1,
                      "agentid": 1,
                      "AgentLanguage": {
                        "languageid": 1,
                        "languages": "sample string 2",
                        "languagelists": []
                      }
                    },
                    {
                      "langlistid": 1,
                      "languageid": 1,
                      "agentid": 1,
                      "AgentLanguage": {
                        "languageid": 1,
                        "languages": "sample string 2",
                        "languagelists": []
                      }
                    }
                  ],
                  "AgentWhatsAppSettings": [
                    {
                      "Id": 1,
                      "AgentId": 2,
                      "AgencyId": 3,
                      "PhoneNumberId": "sample string 4",
                      "WhatsAppBusinessAccountId": "sample string 5",
                      "AccessToken": "sample string 6",
                      "PhoneNumber": "sample string 7",
                      "DisplayPhoneNumber": "sample string 8",
                      "BusinessName": "sample string 9",
                      "WelcomeTemplateName": "sample string 10",
                      "WelcomeTemplateLanguage": "sample string 11",
                      "IsEnabled": true,
                      "ConnectionStatus": "sample string 13",
                      "ConnectedAt": "2026-10-17T14:47:47.3636971-07:00",
                      "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
                      "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00"
                    },
                    {
                      "Id": 1,
                      "AgentId": 2,
                      "AgencyId": 3,
                      "PhoneNumberId": "sample string 4",
                      "WhatsAppBusinessAccountId": "sample string 5",
                      "AccessToken": "sample string 6",
                      "PhoneNumber": "sample string 7",
                      "DisplayPhoneNumber": "sample string 8",
                      "BusinessName": "sample string 9",
                      "WelcomeTemplateName": "sample string 10",
                      "WelcomeTemplateLanguage": "sample string 11",
                      "IsEnabled": true,
                      "ConnectionStatus": "sample string 13",
                      "ConnectedAt": "2026-10-17T14:47:47.3636971-07:00",
                      "CreatedAt": "2026-10-17T14:47:47.3636971-07:00",
                      "UpdatedAt": "2026-10-17T14:47:47.3636971-07:00"
                    }
                  ],
                  "WhatsAppConversations": [],
                  "agent_live": {
                    "agentid": 1,
                    "status": "sample string 2",
                    "speed_kmh": 1.0,
                    "battery_pct": 64,
                    "lat": 1.0,
                    "lng": 1.0,
                    "last_update": "2026-10-17T14:47:47.3636971-07:00"
                  },
                  "agent_location_history": [
                    {
                      "id": 1,
                      "agentid": 2,
                      "recorded_at": "2026-10-17T14:47:47.3636971-07:00",
                      "lat": 4.0,
                      "lng": 5.0,
                      "speed_kmh": 1.0,
                      "battery_pct": 64
                    },
                    {
                      "id": 1,
                      "agentid": 2,
                      "recorded_at": "2026-10-17T14:47:47.3636971-07:00",
                      "lat": 4.0,
                      "lng": 5.0,
                      "speed_kmh": 1.0,
                      "battery_pct": 64
                    }
                  ]
                }
              ],
              "FacebookForms": [
                {
                  "Id": 1,
                  "PageId": "sample string 2",
                  "FormId": "sample string 3",
                  "FormName": "sample string 4",
                  "AgencyId": 1
                },
                {
                  "Id": 1,
                  "PageId": "sample string 2",
                  "FormId": "sample string 3",
                  "FormName": "sample string 4",
                  "AgencyId": 1
                }
              ],
              "FacebookPages": [
                {
                  "Id": 1,
                  "AgencyId": 1,
                  "PageId": "sample string 2",
[...]
